Put Hub Editor Pending Ops
curl --request PUT \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"ops": [
"<unknown>"
]
},
"type": "hub_editor_pending_ops"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops"
payload = { "data": {
"attributes": { "ops": ["<unknown>"] },
"type": "hub_editor_pending_ops"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {ops: ['<unknown>']}, type: 'hub_editor_pending_ops'}})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'ops' => [
'<unknown>'
]
],
'type' => 'hub_editor_pending_ops'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"ops\": [\n \"<unknown>\"\n ]\n },\n \"type\": \"hub_editor_pending_ops\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"ops\": [\n \"<unknown>\"\n ]\n },\n \"type\": \"hub_editor_pending_ops\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"ops\": [\n \"<unknown>\"\n ]\n },\n \"type\": \"hub_editor_pending_ops\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"ops": [
"<unknown>"
],
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
},
"id": "<string>",
"type": "hub_editor_pending_ops"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}hubs-admin
Put Hub Editor Pending Ops
PUT
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
editor-pending-ops
Put Hub Editor Pending Ops
curl --request PUT \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"ops": [
"<unknown>"
]
},
"type": "hub_editor_pending_ops"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops"
payload = { "data": {
"attributes": { "ops": ["<unknown>"] },
"type": "hub_editor_pending_ops"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {attributes: {ops: ['<unknown>']}, type: 'hub_editor_pending_ops'}})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'ops' => [
'<unknown>'
]
],
'type' => 'hub_editor_pending_ops'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"ops\": [\n \"<unknown>\"\n ]\n },\n \"type\": \"hub_editor_pending_ops\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"attributes\": {\n \"ops\": [\n \"<unknown>\"\n ]\n },\n \"type\": \"hub_editor_pending_ops\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/editor-pending-ops")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"ops\": [\n \"<unknown>\"\n ]\n },\n \"type\": \"hub_editor_pending_ops\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"ops": [
"<unknown>"
],
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
},
"id": "<string>",
"type": "hub_editor_pending_ops"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/vnd.api+json
Top-level JSON:API envelope for PUT .../editor-pending-ops.
JSON:API resource wrapper for the pending-ops write request.
Show child attributes
Show child attributes
Response
Successful Response
Top-level JSON:API response envelope for the pending-ops queue (GET/PUT).
JSON:API resource object for a hub's pending-ops queue.
id is the hub_id — this is a hub-scoped singleton resource, one row
(or the empty default) per hub, so the hub_id IS the resource id.
Show child attributes
Show child attributes